# # ImageLayer

## # Props

All common layers props

### # `source`

- Type: `Object | String`
- Non-Synced
- Description: A data source containing an image.
- See: `ImageSource` in Mapbox API Docs
  (opens new window)

Reactivity

`coordinates` and `url` fields of the `source` prop are reactive. If you change their value, changes automatically applied to the map.

## # Events

All common layer events